import { PositionInPixels } from './PositionInPixels.js';
export class PositionInRelativeCoord {
    // x and y are in the range [0, 1] and express a position relative to a base
    // size in pixels.
    constructor(x, y) {
        this._x = Math.max(Math.min(x !== null && x !== void 0 ? x : 0, 1), 0);
        this._y = Math.max(Math.min(y !== null && y !== void 0 ? y : 0, 1), 0);
    }
    getPositionInPixels(baseSize) {
        let baseWidth = 0;
        let baseHeight = 0;
        if (!baseSize.isUnknown()) {
            baseWidth = baseSize.getWidth();
            baseHeight = baseSize.getHeight();
        }
        return new PositionInPixels(this._x * baseWidth, this._y * baseHeight);
    }
    toString() {
        return `{x=${this._x.toFixed(3)}, y=${this._y.toFixed(3)}}`;
    }
}
//# sourceMappingURL=PositionInRelativeCoord.js.map